:host {
    display: block;
}

.editor-container {
    position: relative;
    margin-top: 20px;
    text-align: left;
}

.editor-container .toolbar {
    position: absolute;
    background: white;
    display: none;
    opacity: 0;
    transition: .2s;
    box-shadow: 0 0 10px rgba(64, 98, 224, 0.05);
    z-index: 3;
    border-radius: 20px;
    align-items: center;

}
.editor-container .toolbar.rendered {
    display: flex;
}
.editor-container .toolbar.show {
    opacity: 1;
}

.editor-container button {
    min-width: unset;
    background: transparent;
    border: none;
    border-right: 1px dashed #eee;
    border-radius: 0;
    font-size: .9rem;
    height: 30px;
    min-width: 30px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 20px;
}

.editor-container button:last-of-type {
    border-right: none;
}

.editor-container button i {
    font-size: 1.3rem;
}

.editor-container .placeholder {
    position: absolute;
    top: 0;
    left: 0;
    color: #888;
    font-style: italic;
    margin: 0;
}
.editor-container .placeholder.hidden {
    display: none;
}

.editor-container .content {
    /* padding: 60px; */
    position: relative;
    /* border: 1px solid #eee;
    border-radius: 5px;
    box-shadow: inset 0 0 10px rgba(0,0,0,0.05); */
}

.editor-container .content:focus {
    outline: none;
}

.editor-container .content p {
    margin-top: 0;
}

.editor-container .content h2 {
    margin-bottom: 40px;
}

.editor-container .content h3 {
    margin-bottom: 20px;
}